Package org.eclipse.m2m.atl.emftvm.ant

## Class AntProjectHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.eclipse.m2m.atl.emftvm.ant.AntProjectHandler

    public class AntProjectHandler
    extends java.util.logging.Handler

Log handler for EMFTVM messages during Ant build.

### Constructor Summary

Constructors
`AntProjectHandler​(org.apache.tools.ant.Project project)` Creates a new `AntProjectHandler`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Does nothing.
`void` `flush()` Does nothing.
`org.apache.tools.ant.Project` `getProject()` Returns the Ant project.
`void` `publish​(java.util.logging.LogRecord record)` Logs

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AntProjectHandler

    public AntProjectHandler​(org.apache.tools.ant.Project project)

Creates a new `AntProjectHandler`.

Parameters:
  `project` - the Ant project

### Method Detail

#### close

    public void close()
               throws java.lang.SecurityException

Does nothing.

Specified by:
  `close` in class `java.util.logging.Handler`
Throws:
  `java.lang.SecurityException`

#### flush

    public void flush()

Does nothing.

Specified by:
  `flush` in class `java.util.logging.Handler`

#### publish

    public void publish​(java.util.logging.LogRecord record)

Logs

    record

using the Ant logger.

Specified by:
  `publish` in class `java.util.logging.Handler`
Parameters:
  `record` - the record to log

#### getProject

    public org.apache.tools.ant.Project getProject()

Returns the Ant project.

Returns:
  the project